Groovy Documentation

## org.codehaus.groovy.grails.compiler.injection
[Java] Class GrailsInjectionOperation

    java.lang.Object
      org.codehaus.groovy.grails.compiler.injection.GrailsInjectionOperation

All Implemented Interfaces:
  ApplicationContextAware

    public class GrailsInjectionOperation

A Groovy compiler operation that gets plugged into the GroovyClassLoader instance to add custom properties to classes at compile time.

Authors:
  Graeme Rocher

Since:
  0.2

Method Summary
`void` | `call(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)`
`void` | `setApplicationContext(ApplicationContext applicationContext)`
`void` | `setResourceLoader(GrailsResourceLoader resourceLoader)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### call

    @Override
    public void call(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)

### setApplicationContext

    public void setApplicationContext(ApplicationContext applicationContext)

### setResourceLoader

    public void setResourceLoader(GrailsResourceLoader resourceLoader)

Groovy Documentation